Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

the last drivers for my ati xpress 1150 what 9.3 (.1) why Ati give me 9.8 when I select my card ???

share|improve this question

1 Answer 1

up vote 2 down vote accepted

It's confusing, I know :)

The release notes are for version 9.3, but then the version of the download is 9.8. Doesn't make much sense. However, take a look at the filename of the download. It's 9-8_legacy_vista32-64_dd_ccc.exe (or 9-8_legacy_xp32-64_dd_ccc.exe, if that's the OS you chose).

So you are on the right spot and that's what you should download. However...

Take care of the text in that page. If you are running your on-board ATI Xpress 1150 in combination with any of the HD 2000, 3000 or 4000 series you should indeed not download this. You should stick to 9.3.

Otherwise, if Xpress 1150 is your only GPU, then go ahead and download the 9.8 legacy driver. That's what you will want.

(With Ati modder it worked !!!)

share|improve this answer
    
the driver 9.8 (legacy) is said to be incompatible ... –  zillion Sep 14 '09 at 2:03

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.